$color-yelo: #FFD808;
#map {
  width: 100%;
  height: 100%;
}

.w3-input {
  padding: 0;
}

.filterMenuOFF {
  transition: all 250ms ease;
}

.filterMenuON {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  transition: all 250ms ease;
  z-index: 1001;
}

.filterItemOFF, .filterItemON {
  position: absolute;
  background-color: white;
  box-shadow: 10px 0 20px 0 rgba(0, 0, 0, 0.5);
  width: 85%;
  height: 100%;
  top: 0;
  z-index: 1002;
}

.filterItemON {
  transition: all 250ms ease;
  opacity: 1;
  left: 0;

}

.filterItemOFF {
  transition: all 250ms ease;
  opacity: 0;
  left: -85%;
}

.searchOFF {
  position: absolute;
  top: 100px;
  right: 0;
  bottom: 0;
  left: 5px;
  width: 50px;
  height: 50px;
  background: $color-yelo;
  border-radius: 50%;
  transition: all 250ms ease;
  box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.5);
  z-index: 1004;
  // box-shadow: 0 0 25px 0 crimson;
  &:hover {
    cursor: pointer;
  }

  &::before {
    content: "";
    position: absolute;
    margin: auto;
    top: 22px;
    right: 0;
    bottom: 0;
    left: 22px;
    width: 12px;
    height: 4px;
    background: white;
    transform: rotate(45deg);
    transition: all .5s;
  }

  &::after {
    content: "";
    position: absolute;
    margin: auto;
    top: -5px;
    right: 0;
    bottom: 0;
    left: -5px;
    width: 19px;
    height: 19px;
    border-radius: 50%;
    border: 4px solid white;
    transition: all .5s;
  }
}

.searchON {
  position: absolute;
  top: 100px;
  right: 0;
  bottom: 0;
  left: calc(85% - 25px);
  width: 50px;
  height: 50px;
  background: #151515;
  border-radius: 50%;
  transition: all 250ms ease;
  box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.5);
  z-index: 1004;

  &::before {
    content: "";
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 25px;
    height: 3px;
    background: white;
    transform: rotate(45deg);
    transition: all 250ms ease;
  }

  &::after {
    transition: all 250ms ease;
    content: "";
    position: absolute;
    margin: auto;
    right: 0;
    bottom: 0;
    top: 0;
    left: 0;
    width: 25px;
    height: 3px;
    border: none;
    background: white;
    border-radius: 0;
    transform: rotate(-45deg);
  }
}

.icon {
  height: 25px;
  width: auto;
  margin-top: 10px;
  margin-bottom: 10px;
}

.menuTransport {
  background-color: $color-yelo;
}

.rider, .walker {
  background-color: white;
  border-bottom: solid 5px $color-yelo;
  transform: translateY(5px);
  transition: all 250ms ease;

}

.switch {
  vertical-align: middle;
  position: relative;
  display: inline-block;
  width: 100px;
  height: 34px;
}

.switch_label {
  vertical-align: middle;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: $color-yelo;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider:before {
  transform: translateX(66px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

#stationDescription {
  position: absolute;
  width: 100%;
  height: 30%;
  z-index: 1000;
  background-color: white;
  transition: all 250ms ease;
}

.descriptionON {
  border-top: solid 10px $color-yelo;
  bottom: 0;
}

.descriptionOFF {
  bottom: -30%;
}

#descriptionStatus {
  position: absolute;
  top: 15px;
  right: 10px;
  height: 40px;
  width: 40px;
  z-index: 1000;
  border-radius: 100%;
  background-color: $color-yelo;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5);

  &::before {
    content: "";
    position: absolute;
    margin: auto;
    right: 7px;
    bottom: 0;
    top: 3px;
    width: 15px;
    height: 4px;
    transform: rotate(-25deg);
    background-color: white;
    border-radius: 4px;
  }

  &::after {
    content: "";
    position: absolute;
    margin: auto;
    bottom: 0;
    top: 3px;
    left: 8px;
    width: 15px;
    height: 4px;

    transform: rotate(25deg);
    background-color: white;
    border-radius: 4px;
  }
}

#helperIcon {
  background-color: $color-yelo;
}

#helperIcon span {
  color: white;
  font-size: 35px;
}

.helperIconOFF {
  position: absolute;
  top: 15px;
  right: 10px;
  height: 50px;
  width: 50px;
  background-color: $color-yelo;
  border-radius: 100%;
  box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.5);
  z-index: 1000;
  transition: all 250ms ease;
}

.helperIconON {
  span {
    display: none;
  }

  background-color: $color-yelo;
  position: absolute;
  top: 35px;
  right: 10px;
  width: 50px;
  z-index: 1020;
  height: 5px;
  border-radius: 5px 0 0 5px;
  box-shadow: 4px -2px 1px -0px rgba(0, 0, 0, 0.4);
  transition: all 250ms ease;

  &::after {
    content: "";
    position: absolute;
    margin: auto;
    top: 6px;
    left: -2px;
    transform: rotate(45deg);
    background-color: $color-yelo;
    border-radius: 5px 0 0 5px;
    width: 20px;
    height: 5px;
    z-index: 1019;
  }

  &::before {
    content: "";
    position: absolute;
    margin: auto;
    bottom: 6px;
    left: -2px;
    transform: rotate(-45deg);
    background-color: $color-yelo;
    border-radius: 5px 0 0 5px;
    width: 20px;
    height: 5px;
  }

}

#helper {
  position: absolute;
  background-color: white;
  height: 100%;
  width: 100%;
}

.helperON {
  z-index: 1019;
  top: 0;
  left: 0;
  transition: all 250ms ease;
  opacity: 1;
}

.helperOFF {
  z-index: 0;
  opacity: 0;
  transform: scale(0.1);
  transition: all 250ms ease;
}
